Bug 242488 - databases/mysql[57|80]-server: stop pollute libdata/pkgconfig
Summary: databases/mysql[57|80]-server: stop pollute libdata/pkgconfig
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-06 17:35 UTC by Dima Panov
Modified: 2019-12-10 10:27 UTC (History)
3 users (show)

See Also:


Attachments
Stop pollute libdata/pkgconfig (3.17 KB, patch)
2019-12-06 17:35 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2019-12-06 17:35:06 UTC
Created attachment 209763 [details]
Stop pollute libdata/pkgconfig

Get rid of useless and unfilled libdata/pkgconfig/LIBMYSQL_OS_OUTPUT_NAME-NOTFOUND.pc
for server bundle, right .pc file is already installed by client package
Comment 1 Jochen Neumeister freebsd_committer 2019-12-07 18:01:46 UTC
Heya Dima,

thanks for this Patch. It is tested with mysql?
Comment 2 Dima Panov freebsd_committer 2019-12-08 01:15:34 UTC
(In reply to Jochen Neumeister from comment #1)
Same path I was committed to percona57-server recently
Comment 3 commit-hook freebsd_committer 2019-12-10 10:27:02 UTC
A commit references this bug:

Author: joneum
Date: Tue Dec 10 10:26:12 UTC 2019
New revision: 519655
URL: https://svnweb.freebsd.org/changeset/ports/519655

Log:
  Get rid of useless and unfilled libdata/pkgconfig/LIBMYSQL_OS_OUTPUT_NAME-NOTFOUND.pc
  for server bundle, right .pc file is already installed by client package

  PR:		242488
  Reported by:	fluffy
  Approved by:	mmokhi (maintainer, implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/files/patch-scripts_CMakeLists.txt
  head/databases/mysql57-server/pkg-plist
  head/databases/mysql80-server/Makefile
  head/databases/mysql80-server/files/patch-scripts_CMakeLists.txt
  head/databases/mysql80-server/pkg-plist